.content {
  display: flex;
  flex-direction: column;
  margin: 20px;
}

div .spacer {
  flex: 1 1 auto;
}

div .panel-wrapper {
  display: flex;
  flex-direction: row;
}

div .left-panel {
  display: flex;
  flex-direction: column;
  flex-grow: 3;
  margin-right: 30px
}

div .right-panel {
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  margin-left: 30px;
}

div .right-panel mat-form-field {
  margin-bottom: 20px;
}

.reference-solution-container {
  display: flex;
  flex-direction: column;
  padding-top: 10px;
}

.reference-solution-content {
  width: auto;
}

textarea {
  max-height: 45vh;
  min-height: 15vh;
  resize: vertical;
}

.reference-info {
  font-size: 13px;
}

sentinel-controls {
  margin-left: -10px;
}

.reference-solution-container h4 {
  padding-left: 10px;
}

sentinel-markdown-editor.mrkdwn-content {
  margin-bottom: 20px;
  height: 30vh;
}

sentinel-markdown-editor.mrkdwn-solution {
  margin-bottom: 20px;
  height: 30vh;
}

@media screen and (max-width: 800px) {
  div .panel-wrapper {
    flex-direction: column;
  }
  div .left-panel {
    margin-right: 0;
  }

  div .right-panel {
    margin-left: 0;
  }
}

.panel-description-error {
  display: flex;
  flex-direction: row;
  align-items: center;
  margin-right: 10px;
  margin-bottom: 10px;
  margin-top: -10px;
}

.panel-description-error mat-icon {
  margin-right: 5px;
}

.time-configuration-container {
  display: flex;
  column-gap: 50px;
}

.time-configuration-container mat-form-field {
  flex-grow: 1;
}

.content-info {
  border: 1px solid #e0e0e0;
  border-radius: 5px;
  margin-bottom: 10px;
  overflow:hidden
}

.content-info-head {
  display: flex;
  padding: 10px;
  background-color: #3f51b5;
  color: white;
}

.content-info-head h4 {
  margin-left: 10px;
  margin-bottom: 0;
}

.content-info-content {
  padding: 10px 10px 0 10px;
}
